Subject: [Qirg] Terminology in draft-irtf-qirg-principles-06

From: Alexandre Petrescu <[email-masked]>
Date: Wed, 10 Mar 2021 17:24:55 +0100

Hi,

I am not an expert of quantum computing and communications.

Maybe it could be appropriate to have a Terminology section in the draft
draft-irtf-qirg-principles

In this section maybe several times could be defined.  Among these terms
maybe define the term "Quantum Internet" too.

There are some sources of inspiration to define the term "Quantum
Internet", maybe in the paper "Development of Quantum Interconnects
(QuICs) for Next-Generation Information Technologies".  Maybe some
inspirtation too from the discussions on the email list.

 From my part, I would think that a quantum computer is linked by serial
line to a normal general-purpose computer.  It is used as a
'coprocessor', but is not iself a general-purpose computer, I think.
The way to reach this quantum computer would not be directly, but
indirectly, I think.

The 'Internet' part could be found in many RFCs I suspect, among which
RFC 1462 titled "FYI on "What is the Internet?"".

For my part, I think the term Internet comes from joining together
networks such as AOL and decnet so it became a sort of 'super' network
dubbed Internet.

There is also a distinction between internet and Internet.

Probably we talk here about a "Quantum internet" (not capitalized).

Alex

---

From: "Bless, Roland (TM)" <[email-masked]>
Date: Wed, 10 Mar 2021 17:56:44 +0100

Hi Alexandre,

first, one needs to understand that there is a difference between
qubits and ordinary bits, e.g., qubits cannot be copied.
The "Quantum Internet" is about coupling quantum computers in a way
so that they can transmit qubits among each other, i.e., to perform
quantum communication.
This cannot be done solely by attaching regular classic computers to the
quantum computers, because one needs to teleport qubits, which cannot be
done with classic bits.
Some coordination will be required though and that can be done by the
already existing Internet. However, consider the Quantum Internet being
a global network that allows to couple quantum computers allowing
for quantum communication. Currently, research is at the level
of building quantum links using quantum repeaters. Maybe one day
we reach the level of coupling subnetworks which would be the
start for a Quantum Internet.

Besides the draft in the subject, a good paper to start is
Dahlberg et al. A link layer protocol for quantum networks.
SIGCOMM 2019
https://dl.acm.org/doi/10.1145/3341302.3342070

Regards,
  Roland

On 10.03.21 at 17:24 Alexandre Petrescu wrote:
> _______________________________________________
> Qirg mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/qirg

---

From: Alexandre Petrescu <[email-masked]>
Date: Wed, 10 Mar 2021 18:08:11 +0100

Le 10/03/2021 à 17:56, Bless, Roland (TM) a écrit :
> qubits and ordinary bits, e.g., qubits cannot be copied. The
> "Quantum Internet" is about coupling quantum computers in a way so
> that they can transmit qubits among each other, i.e., to perform
> quantum communication.

Thanks for the explanation.

My doubt is the following: to call that (q computers using quantum
links) an inter-net there would be a need to have already several such
'net's  in place.  There should be huge commercial interests in each
such net, and then by a magic twist they would link together.

That could replicate the sense of how nets became Internet.

Or maybe we dont understand the same thing by Internet (simply, Internet).

Also people use Internet to mean the cloud, or to mean the next
successful social network.

All these are Internet, but what is really Internet, is a different thing.

But I doubt we could agree to call Quantum Internet as proposed above.

> This cannot be done solely by attaching regular classic computers to 
> the quantum computers, because one needs to teleport qubits, which 
> cannot be done with classic bits. Some coordination will be required 
> though and that can be done by the already existing Internet. 
> However, consider the Quantum Internet being a global network

I think one interprets that global part of Internet as meaning that any
global network to be Internet.  But Galileo is not an Internet even
though it is a global network, like GPS is.  These are connected to the
Internet at some points, but they are not Internet itself.

> that allows to couple quantum computers allowing for quantum 
> communication. Currently, research is at the level of building 
> quantum links using quantum repeaters.

That sounds to me like they are probably Quantum Subnets.

> Maybe one day we reach the level of coupling subnetworks which would 
> be the start for a Quantum Internet.

I agree, in that sense, even though quantum is so small and unique and
Internet so big and multiple.

> Besides the draft in the subject, a good paper to start is Dahlberg 
> et al. A link layer protocol for quantum networks. SIGCOMM 2019 

I will look at it.

Alex

> Regards, Roland
>> Maybe it could be appropriate to have a Terminology section in the 
>> draft draft-irtf-qirg-principles
>> 
>> In this section maybe several times could be defined.  Among these 
>> terms maybe define the term "Quantum Internet" too.
>> 
>> From my part, I would think that a quantum computer is linked by 
>> serial line to a normal general-purpose computer.  It is used as a
>>  'coprocessor', but is not iself a general-purpose computer, I 
>> think. The way to reach this quantum computer would not be 
>> directly, but indirectly, I think.
>> 
>> The 'Internet' part could be found in many RFCs I suspect, among 
>> which RFC 1462 titled "FYI on "What is the Internet?"".
>> 
>>  networks such as AOL and decnet so it became a sort of 'super' 
>> network dubbed Internet.
>> 
>> _______________________________________________ Qirg mailing list 
>> [email-masked] https://www.irtf.org/mailman/listinfo/qirg
>

---

From: Joseph D Touch <[email-masked]>
Date: Wed, 10 Mar 2021 17:26:45 +0000

Hi, all,

The key thing to remember is that the current Internet is explained through "archeology" (or dissection; pick your favorite analogue), i.e., using the current Internet as an example. So the fact that it is ill defined is not local to quantum interpretations.

IMO, however, there are some defining properties:

An *inter*net is an interworking of different networks; that was the Internet's original goal and remains its defining property.

A quantum Internet would/should include quantum LANs (each with its own consistent link/physical layer) that interoperate.

I.e., "qubit translators" (and thus teleportation) should NOT be part of a quantum LAN, but are a defining component of quantum routers. There IS a quantum LAN, it just doesn't allow relaying (it is more focused on shared media/switching).

NOTE: a quantum LAN is just a quantum link network, just as an Internet LAN is a (classical) link network. It's important to recognize that there is no difference between how a link layer abstracts homogeneous connectivity from how a tunnel does the same. One thing the Internet does poorly is distinguish between tunnels and forwarding; my recursive approach to the Internet explains these as the same thing, where Internet forwarding IS (recursive) layering, it's just more efficiently implemented as tail-recursion. For quantum nets, there is really no relaying; teleportation much closer (true) recursive layering (this is the heart of the QRNA approach Rod and I developed).

So if we WANT to define a quantum Internet, it can be done and I would be glad to help, but NOTHING I've seen to date using that term comes close to helping that discussion.

Joe

-- 
Dr. Joseph Touch
Principal Scientist
Information Systems and Cyber Division
The Aerospace Corporation
424-254-4357 cell

On 3/10/21, 9:11 AM, "Qirg on behalf of Alexandre Petrescu" <[email-masked] on behalf of [email-masked]> wrote:

    I will look at it.

    Alex

---

From: Wojciech Kozlowski <[email-masked]>
Date: Tue, 16 Mar 2021 17:21:55 +0000

The network vs internet discussion for quantum networks does come up every now and then. Personally, I would wait with this discussion until the first prototype and research networks become public and then grow a bit in size for rigorous definitions. This is simply due to lack of experience with real quantum networks. A hand-wavy unspoken definition based on analogies with classical networks and the Internet are probably sufficient for now. 

For the purposes of this draft, I think that what is currently in section 5.4.2 is sufficient. Section 5.4.2 explicitly says that multiple quantum networks will form a quantum internet, but how that will exactly be done is out of scope for this draft.

I'm not a big fan of adding a terminology section as those are usually at the beginning and the draft is written in a way to provide a coherent story that slowly builds upon concepts from the prior sections. However, I would add a terminology section if enough people would feel that would be useful.

Also yes, the capitalization of "quantum internet" varies, but it does depend on the context. When used with the definite article "the" it's capitalized "the Quantum Internet" (e.g. in the charter). This draft sticks to the indefinite article though (e.g. in the abstract) and does not capitalize it "a quantum internet". When referring to the classical Internet, the word Internet is always capitalized as we're referring the specific Internet that exists.

Wojtek

> -----Original Message-----
> From: Qirg <[email-masked]> On Behalf Of Joseph D Touch
> Sent: 10 March 2021 18:27
> To: Alexandre Petrescu <[email-masked]>; Bless, Roland
> (TM) <[email-masked]>; [email-masked]
> Subject: Re: [Qirg] Terminology in draft-irtf-qirg-principles-06
> 
> Hi, all,
> 
> The key thing to remember is that the current Internet is explained through
> "archeology" (or dissection; pick your favorite analogue), i.e., using the
> current Internet as an example. So the fact that it is ill defined is not local to
> quantum interpretations.
> 
> An *inter*net is an interworking of different networks; that was the
> Internet's original goal and remains its defining property.
> 
> A quantum Internet would/should include quantum LANs (each with its own
> consistent link/physical layer) that interoperate.
> 
> I.e., "qubit translators" (and thus teleportation) should NOT be part of a
> quantum LAN, but are a defining component of quantum routers. There IS a
> quantum LAN, it just doesn't allow relaying (it is more focused on shared
> media/switching).
> 
> NOTE: a quantum LAN is just a quantum link network, just as an Internet LAN
> is a (classical) link network. It's important to recognize that there is no
> difference between how a link layer abstracts homogeneous connectivity
> from how a tunnel does the same. One thing the Internet does poorly is
> distinguish between tunnels and forwarding; my recursive approach to the
> Internet explains these as the same thing, where Internet forwarding IS
> (recursive) layering, it's just more efficiently implemented as tail-recursion.
> For quantum nets, there is really no relaying; teleportation much closer
> (true) recursive layering (this is the heart of the QRNA approach Rod and I
> developed).
> 
> So if we WANT to define a quantum Internet, it can be done and I would be
> glad to help, but NOTHING I've seen to date using that term comes close to
> helping that discussion.
> 
> Joe
> 
> --
> Dr. Joseph Touch
> Principal Scientist
> On 3/10/21, 9:11 AM, "Qirg on behalf of Alexandre Petrescu" <qirg-
> [email-masked] on behalf of [email-masked]> wrote:
> 
> 
> 
>     > https://urldefense.proofpoint.com/v2/url?u=https-
> 3A__dl.acm.org_doi_10.1145_3341302.3342070&d=DwIGaQ&c=XYzUhXBD2c
> D-CornpT4QE19xOJBbRy-
> TBPLK0X9U2o8&r=xRe3k8UnFVGCjuC7RWUARpslGfYlRaP7D3dVZXHUEVc&m
> =7PG8IVep-4SYYHAXu3SYrx38ZLAthAHIcQYPHD4Fx4g&s=5Kqrx-
> WNv7aX1wrN4lYzg8HgRwpJbGVtFnoytN8WEgg&e=
> 
>     I will look at it.
> 
>     Alex
> 
>     >
>     > Regards, Roland
>     >
>     >> [email-masked] https://urldefense.proofpoint.com/v2/url?u=https-
> 3A__www.irtf.org_mailman_listinfo_qirg&d=DwIGaQ&c=XYzUhXBD2cD-
> CornpT4QE19xOJBbRy-
> TBPLK0X9U2o8&r=xRe3k8UnFVGCjuC7RWUARpslGfYlRaP7D3dVZXHUEVc&m
> =7PG8IVep-
> 4SYYHAXu3SYrx38ZLAthAHIcQYPHD4Fx4g&s=f2Un6WK093UB10alOKQ-
> BW504P74Rk8wZDn-keyPLL8&e=
>     >
> 
>     https://urldefense.proofpoint.com/v2/url?u=https-
> 3A__www.irtf.org_mailman_listinfo_qirg&d=DwIGaQ&c=XYzUhXBD2cD-
> CornpT4QE19xOJBbRy-
> TBPLK0X9U2o8&r=xRe3k8UnFVGCjuC7RWUARpslGfYlRaP7D3dVZXHUEVc&m
> =7PG8IVep-
> 4SYYHAXu3SYrx38ZLAthAHIcQYPHD4Fx4g&s=f2Un6WK093UB10alOKQ-
> BW504P74Rk8wZDn-keyPLL8&e=
> 
> https://urldefense.proofpoint.com/v2/url?u=https-
> 3A__www.irtf.org_mailman_listinfo_qirg&d=DwIGaQ&c=XYzUhXBD2cD-
> CornpT4QE19xOJBbRy-
> TBPLK0X9U2o8&r=xRe3k8UnFVGCjuC7RWUARpslGfYlRaP7D3dVZXHUEVc&m
> =7PG8IVep-
> 4SYYHAXu3SYrx38ZLAthAHIcQYPHD4Fx4g&s=f2Un6WK093UB10alOKQ-
> BW504P74Rk8wZDn-keyPLL8&e=

---

From: Joe Touch <[email-masked]>
Date: Tue, 16 Mar 2021 10:36:12 -0700

> On Mar 16, 2021, at 10:22 AM, Wojciech Kozlowski <[email-masked]> wrote:
> 
> When referring to the classical Internet, the word Internet is always capitalized as we're referring the specific Internet that exists.

Although I agree and that’s appropriate  here in the IRTF, most news media policies use only the lower case. They seem oblivious to the distinction you point out, preferring the analogy to other genericised terms in lower case, such as kleenex and xerox. 

https://en.m.wikipedia.org/wiki/Capitalization_of_Internet

So the quantum Internet could be lower case as referring to a generic concept or upper case as referring to the single (future) generic term. 

Joe

---

From: Rodney Van Meter <[email-masked]>
Date: Tue, 23 Mar 2021 08:39:56 +0900

Author hat on, chair hat off…

Sorry for the delay in replying to this, I started this reply a week ago, but y’know...

Rodney Van Meter
[email-masked]
Professor, Faculty of Environment and Information Studies, Keio University, Japan

> On Mar 11, 2021, at 2:26, Joseph D Touch <[email-masked]> wrote:
> 
> Hi, all,
> 

Agreed.

The IP protocol, of course, is useful in LANs and networks that never connect to other networks.  Internetwork *capable* is a wise design choice even when there is no expectation of internetworking, for a lot of reasons.

> A quantum Internet would/should include quantum LANs (each with its own consistent link/physical layer) that interoperate.

Capital I, yes.

> 
> I.e., "qubit translators" (and thus teleportation) should NOT be part of a quantum LAN, but are a defining component of quantum routers.

“Qubit translators” isn’t a thing, but I’m guessing you mean translation from one physical representation to another? Yes, one way to accomplish that is teleportation (which requires first making entanglement between two physically different types of qubits, e.g. between an electron spin and a nuclear spin), though there are others as well.  Convincing a stationary memory to emit a photon such that both are entangled is an important trick in the toolkit.

Since you talked favorably about teleportation below, I’m guessing you’re not trying to cut teleportation out of here altogether.  Teleportation is perhaps the single most important concept in networking.  It is the basis for entanglement swapping, which is how we get long-distance entanglement in the basic forms.

> There IS a quantum LAN, it just doesn't allow relaying (it is more focused on shared media/switching).

So far, we haven’t invested any effort in defining what constitutes a LAN, MAN, WAN. Given that the boundaries are fuzzy in classical networks, I’m not sure that’s a productive conversation, but even if it is, it’s a separate conversation than the principles draft.

> NOTE: a quantum LAN is just a quantum link network, just as an Internet LAN is a (classical) link network. It's important to recognize that there is no difference between how a link layer abstracts…

I agree (obviously) that recursion is important, and I personally (thanks to your persuasion) agree it’s the right way to design large-scale quantum (inter)networks. But I’m not sure where you’re going with this...

> So if we WANT to define a quantum Internet, it can be done and I would be glad to help, but NOTHING I've seen to date using that term comes close to helping that discussion.

Boundaries between different physical architectures, error management schemes and administrative domains are explicitly discussed in the draft.  See Sec. 5.4 (written by yours truly).

I would love for there to be more work on internetworking, in general; Ref. 42 in the draft, Shota’s paper, is one of the few things in existence that truly discusses *inter*networking.  (And don’t even get me started on where and how the term “Quantum Internet” got started and who gets the credit for that!)  But I think the draft reflects the state of the art reasonably well, for the audience intended.

It would be possible to extend 6.1 to discuss internetworking a bit to explicitly include internetworking as a goal.

—Rod